# Time-locks

A time-lock is a feature in which a transaction will be frozen for a certain period of time after reaching the ready to execute threshold.

Here is how to modify a time lock with the Squads Multisig SDK.

```typescript
await multisig.rpc.configTransactionCreate({
    connection,
    feePayer: members.proposer,
    multisigPda: autonomousMultisigPda,
    transactionIndex,
    creator: members.proposer.publicKey,
    // Set a new 1 minute time-lock
    actions: [{
        __kind: "SetTimelock",
        newTimeLock: 60 * 60
    }],
});
```

See the [Create a Config Transaction](/main/development/typescript/instructions/create-config-transaction.md) guide for more insight on the accounts involved in that instruction.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.squads.so/main/development/reference/time-locks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
